Reserve a Unit
curl --request POST \
--url https://public-api.stora.co/2025-09/units/{unit_id}/reserve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tenancy_id": "ten_acaf3269a573af74"
}
'import requests
url = "https://public-api.stora.co/2025-09/units/{unit_id}/reserve"
payload = { "tenancy_id": "ten_acaf3269a573af74" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({tenancy_id: 'ten_acaf3269a573af74'})
};
fetch('https://public-api.stora.co/2025-09/units/{unit_id}/reserve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"unit": {
"id": "unit_1e36123098e22cf8",
"created_at": "2025-02-22T14:41:00Z",
"reference_id": "UNIT-001",
"site": {
"id": "site_14b419f1096013f1"
},
"status": "reserved",
"unit_allocation": {
"id": "alloc_52e81a952ab37314"
},
"unit_type": {
"id": "utype_f18fc91387cdf710"
},
"updated_at": "2025-02-22T14:41:00Z"
},
"meta": {
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"curies": [
{
"name": "bo",
"href": "https://app.stora.test{rel}",
"templated": true,
"title": "Backoffice"
},
{
"name": "sf",
"href": "https://acme.stora.test{rel}",
"templated": true,
"title": "Storefront"
}
]
}
}{
"error": {
"code": "resource_not_found",
"details": [],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The Subscription was not found.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}{
"error": {
"code": "invalid_content",
"details": [
{
"message": "Tenancy Tenancy has already started. Move-in date must be in the future.",
"pointer": "/tenancy_id"
}
],
"links": [
{
"kind": "open_api",
"name": "OpenAPI specification",
"url": "https://docs.stora.test/2025-09/openapi.json"
},
{
"kind": "documentation",
"name": "Errors",
"url": "https://docs.stora.test/2025-09/guides/errors"
}
],
"message": "The request body content is not valid.",
"request_id": "01563646-58c1-4607-8fe0-cae3e92c4477",
"type": "invalid_request_error"
}
}Units
Reserve a Unit
Reserve a unit for a tenancy.
The unit will be reserved for the specified tenancy until the move-in date, at which point access can be granted.
Requirements:
- The unit must be in “available” status
- The tenancy must not have started yet (move-in date must be in the future)
Required authorization scope: public.unit:write
POST
/
2025-09
/
units
/
{unit_id}
/
reserve
Reserve a Unit
Authorizations
BearerOAuth2
Bearer Token necessary to use API
Path Parameters
The ID of the unit to reserve
Body
application/json
Reserve Unit Request
The ID of the tenancy to reserve the unit for
Pattern:
^ten_Was this page helpful?
⌘I